Contact your local Russia Distributor

Browser Compatibility Notice

Please validate the browser you are using is compatible with our website applications. We recommend that you upgrade to a newer browser.

  Internet Explorer Firefox Chrome Safari
Supported Versions IE9, IE10 17+ All 5
Partially Supported Versions IE11 10-16 -- 4

Browser Compatibility Support Notice Details
In order to deliver the best possible product experience to our customers, applications need to make the most of new capabilities that are only available in the latest versions of commonly used web browsers. Some new technologies, like HTML5 and CSS3, are only available with modern browser like Firefox and Chrome. For this reason, just like Google and others before us, we are going to be limiting our web browser support to modern browsers like Firefox, Chrome, Safari, and Internet Explorer 9 and 10.
Limiting our support to modern browsers helps us deliver better and faster content. As new browser versions are released, it becomes more and more difficult for development teams to support all historical versions. L P International Inc will no longer officially support the use of Internet Explorer 8 on our application. We will continue to support both IE9 and IE10 for the foreseeable future.
What does this mean?
Some features and functionality may no longer work as expected when using IE8. This is not to say that all of our website will no longer work at all on IE8, but we will not be including IE8 in our testing process, so there is no guarantee that it will work as it does on other, more modern browsers.
If you prefer to use Internet Explorer as your browser, just upgrade your Internet Explorer to the most recent version. If you are interested in switching to a different browser, you can download and install the latest Google Chrome, Firefox, or Apple Safari browser instead. It is up to you.
Fear not! We understand that you may not have the necessary permissions to upgrade your browser. Many of our customers have IT departments that control the software that resides on their computers, including the web browser. You may also be blocked from upgrading to a new version of your browser if you do not have administrator access to your computer. In this case, you can either ask your IT department to upgrade your browser for you, or you can install the Google Chrome Frame plugin. This plugin essentially makes it possible for your IE8 browser to process HTML5 and CSS3. Enabling the Chrome Frame plugin is a great alternative if you are unable to upgrade your browser yourself. We want to make this as painless a process for you as possible.